Subject: Re: [PATCH net-next v2] net: ethernet: pcnet32: remove VLB support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Feb 2026 18:20:54 -0800

On Fri, 30 Jan 2026 17:21:19 -0800 Ethan Nelson-Moore wrote:
> The VLB bus is very obsolete and last appeared on P5 Pentium-era
> hardware. Support for it has been removed from other drivers, and it is
> highly unlikely anyone is using it with modern Linux kernels. The VLB
> auto-probing code also has the potential to affect other devices that
> use the same I/O ports in unexpected ways. Remove support for VLB cards
> from the driver. This allows the code managing device instances to be
> simplified significantly.

Unless the maintainers acks this I think we should just wait until 
we can delete this driver completely. Unless this unblocks removal
of some VLB-related APIs (which I wasn't able to spot..)
-- 

pw-bot: reject